Atrapado en la unidad 2d, 12.04

Desde que apliqué algunas correcciones a Ubuntu 12.04 después de estar terriblemente atascado, noté que cuando inicio sesión en Unity 3D, entro en Unity 2D (ambas entradas están disponibles al iniciar sesión). Unity 3D parece estar completamente perdido.

  • nick@nick:~$ /usr/lib/nux/unity_support_test -p muestra:

    Xlib: falta la extensión “GLX” en la pantalla “: 0.0”.
    Error: GLX no está disponible en el sistema.

  • Unity 3D funcionó perfectamente antes.

Mi conocimiento técnico es limitado, por lo que me resulta difícil comparar mi pregunta con las que ya he consultado en el sitio. Información adicional sobre lo que sucedió antes de que surgiera este problema puede deberse a una eliminación e instalación caóticas de cosas sin que yo sepa por qué. Información aquí y tal vez esto arroja algo de luz. Reinstalé los paquetes marcados como eliminar :

Fecha de inicio: 2013-12-07 02:00:03 Línea de comandos: apt-get install libqt4-dev intltool

Instale: libx11-xcb-dev: amd64 (1.4.99.1-0ubuntu2.2, automático), libxdamage-dev: amd64 (1.1.3-2build1, automático), libqt4-opengl-dev: amd64 (4.8.1-0ubuntu4). 4, automático), libpthread-stubs0: amd64 (0.3-3, automático), libxfixes-dev: amd64 (5.0-4ubuntu4.1, automático), libgl1-mesa-dev: amd64 (9.2.0 ~ git20131002 + 9.2.2eb55601 -0ubuntu0sarvatt ~ preciso, automático), xserver-xorg-core: amd64 (1.12.3 + git20120709 + server-1.12-branch.60e0d205-0ubuntu0ricotz ~ preciso, automático), libxcb-dri2-0-dev: amd64 (1.8.1 -1ubuntu0.2, automático), libgl1-mesa-glx: amd64 (9.2.0 ~ git20131002 + 9.2.2eb55601-0ubuntu0sarvatt ~ preciso, automático), libgl1-mesa-glx: i386 (9.2.0 ~ git20131002 9.2.2eb55601 -0ubuntu0sarvatt ~ preciso, automático), libglapi-mesa: amd64 (9.2.0 ~ git20131002 + 9.2.2eb55601-0ubuntu0sarvatt ~ preciso, automático), libglapi-mesa: i386 (9.2.0 ~ git20131002 9.2.2eb55601-0ubuntu0sarvatt preciso) , automático), libxxf86vm-dev: amd64 (1.1.1-2ubuntu0.1, automático), x11proto-kb-dev: amd64 (1.0.5-2, automático), x11proto-gl-dev: amd64 (1.4.16- 1 , automático), mesa-common-dev: amd64 (9.2.0 ~ git20131002 + 9.2.2eb55601-0ubuntu0sarvatt ~ preciso, automático), xtrans-dev: amd64 (1.2.6-2, automático), libqt4-dev: amd64 ( 4.8.1-0ubuntu4.4), x11proto-input-dev: amd64 (2.1.99.6-1, automático), x11proto-fixes-dev: amd64 (5.0-2ubuntu1, automático), xserver-xorg-input-evdev: amd64 (2.7.0 + git20120504.f28507e8-0ubuntu0sarvatt ~ preciso, automático), libglu1-mesa-dev: amd64 (9.0.0-0ubuntu1 ~ precise1, automático), libdrm-dev: amd64 (2.4.46 + git20130702.c6d73cfe-0ubuntu0sarvatt ~ preciso, automático), x11proto-xf86vidmode-dev: amd64 (2.3.1-2, automático), x11proto-xext-dev: amd64 (7.2.0-3, automático), qt4-qmake: amd64 (4.8.1- 0ubuntu4.4, automático), libxext-dev: amd64 (1.3.0-3ubuntu0.1, automático), libxcb-glx0-dev: amd64 (1.8.1-1ubuntu0.2, automático), x11proto-damage-dev: amd64 (1.2.1-2, automático), libqtwebkit-dev: amd64 (2.2.1-1ubuntu4, automático), libxau-dev: amd64 (1.0.6-4, automático), qt4-linguist-tools: amd64 (4.8. 1-0ubuntu4.4, automática), xorg-sgml-doctools: amd64 (1.10-1, a utomatic), libx11-dev: amd64 (1.4.99.1-0ubuntu2.2, automático), libx11-doc: amd64 (1.4.99.1-0ubuntu2.2, automático), libkms1: amd64 (2.4.46 + git20130702.c6d73cfe-0ubuntu0sarvatt ~ preciso, automático), libxcb1-dev: amd64 (1.8.1-1ubuntu0.2, automático), x11proto-core-dev: amd64 (7.0.22-1ubuntu0.1, automático), x11proto-dri2-dev: amd64 ( 2.8-1, automático), libxdmcp-dev: amd64 (1.1.0-4, automático), libpthread-stubs0-dev: amd64 (0.3-3, automático)

Eliminar: xserver-common-lts-raring: amd64 (1.13.3-0ubuntu6 ~ precise3), ubuntu-desktop: amd64 (1.267.1), xserver-xorg-input-all-lts-raring: amd64 (7.7 + 1ubuntu4 ~ preciso1), xserver-xorg-video-vmware-lts-raring: amd64 (12.0.2 + git.e5ac80d8-0ubuntu1 ~ precise1), xserver-xorg-video-modesetting-lts-rare: amd64 (0.7.0-0ubuntu2 ~ preciso1), xserver-xorg-video-ati-lts-raring: amd64 (7.1.0-0ubuntu2 ~ precise1), xserver-xorg-video-r128-lts-raring: amd64 (6.9.1-0ubuntu1 ~ precise1), xserver -xorg-video-nouveau-lts-raring: amd64 (1.0.7-0ubuntu1 ~ precise1), xserver-xorg-input-mouse-lts-raring: amd64 (1.7.2-3 ~ precise1), x11-xserver-utils -lts-raring: amd64 (7.7 ~ 3ubuntu2 ~ precise1), xserver-xorg-input-evdev-lts-raring: amd64 (2.7.3-0ubuntu2b2 ~ precise1), xserver-xorg-video-all-lts-raring: amd64 (7.7 + 1ubuntu4 ~ precise1), xserver-xorg-video-cirrus-lts-raring: amd64 (1.5.2-0ubuntu1 ~ precise1), xserver-xorg-input-synaptics-lts-raring: amd64 (1.6.2-1ubuntu6 ~ precise1), libgl1-mesa-glx-lts-raring: amd64 (9.1.7-1ubuntu2 ~ precise1), libgl1-me sa-glx-lts-raring: i386 (9.1.7-1ubuntu2 ~ precise1), xserver-xorg-video-mach64-lts-raring: amd64 (6.9.3-0ubuntu1 ~ precise1), xserver-xorg-video-s3- lts-raring: amd64 (0.6.5-0ubuntu3 ~ precise1), xserver-xorg-video-vesa-lts-raring: amd64 (2.3.2-0ubuntu1 ~ precise1), xserver-xorg-video-tdfx-lts-raring: amd64 (1.4.5-0ubuntu1 ~ precise1), xserver-xorg-video-sisusb-lts-rareing: amd64 (0.9.6-0ubuntu1 ~ precise1), xserver-xorg-video-radeon-lts-rareing: amd64 (7.1. 0-0ubuntu2 ~ precise1), xserver-xorg-video-trident-lts-rareing: amd64 (1.3.6-0ubuntu2 ~ precise1), libxatracker1-lts-raring: amd64 (9.1.7-1ubuntu2 ~ precise1), xserver-xorg -input-wacom-lts-raring: amd64 (0.19.0-0ubuntu1 ~ precise1), xserver-xorg-video-mga-lts-raring: amd64 (1.6.2-0ubuntu1 ~ precise1), libgl1-mesa-dri-lts -raring: amd64 (9.1.7-1ubuntu2 ~ precise1), libgl1-mesa-dri-lts-raring: i386 (9.1.7-1ubuntu2 ~ precise1), xserver-xorg-lts-raring: amd64 (7.7 + 1ubuntu4 ~ precise1 ), xserver-xorg-video-fbdev-lts-raring: amd64 (0.4.3-0ubuntu1 ~ precise1), xserver-xorg-core-lts-raring: amd64 (1.13.3-0ubuntu6 ~ precise3), xserver-xorg-input-vmmouse-lts-rareing: amd64 (12.9.0-0ubuntu3 ~ precise1), xorg: amd64 (7.6 + 12ubuntu2), xserver-xorg-video-neomagic -lts-raring: amd64 (1.2.7-0ubuntu1 ~ precise1), xserver-xorg-video-openchrome-lts-ringing: amd64 (0.3.1-0ubuntu1 ~ precise1), xserver-xorg-video-sis-lts-raring : amd64 (0.10.7-0ubuntu1 ~ precise1), xserver-xorg-video-savage-lts-rareing: amd64 (2.3.6-0ubuntu1 ~ precise1), xserver-xorg-video-intel-lts-rareing: amd64 (2.21 .6-0ubuntu4.3 ~ precise1), libglapi-mesa-lts-raring: amd64 (9.1.7-1ubuntu2 ~ precise1), libglapi-mesa-lts-rareing: i386 (9.1.7-1ubuntu2 ~ precise1), xserver- xorg-video-siliconmotion-lts-rare: amd64 (1.7.7-0ubuntu1 ~ precise1) Fecha de finalización: 2013-12-07 02:01:39

Lo siento mucho por la caótica forma en que se ve.

Edición: Como se mencionó, todos los paquetes eliminados se volvieron a instalar. Parecía lógico ejecutar sudo dpkg-reconfigure xserver-xorg como encontré en el último enlace que proporcionaste. Esto me dio la salida:

Árbol de dependencias del edificio
Leyendo información del estado … Hecho
Los siguientes paquetes se instalaron automáticamente y ya no son necesarios:
x11-apps linux-headers-3.2.0-56 x11-session-utils x11-xfs-utils
linux-headers-3.2.0-56-generic xinit libfs6 libllvm3.3
Utilice ‘apt-get autoremove’ para eliminarlos.
Se instalarán los siguientes paquetes adicionales:
libgl1-mesa-glx libgl1-mesa-glx: i386 libglapi-mesa libglapi-mesa: i386
xserver-xorg-core xserver-xorg-input-evdev
Paquetes sugeridos:
xfonts-100dpi xfonts-75dpi
Los siguientes paquetes serán eliminados:
libgl1-mesa-dri-lts-raring libgl1-mesa-dri-lts-raring: i386
libgl1-mesa-glx-lts-raring libgl1-mesa-glx-lts-raring: i386
libglapi-mesa-lts-raring libglapi-mesa-lts-raring: i386
libxatracker1-lts-raring ubuntu-desktop x11-xserver-utils-lts-raring xorg
xserver-common-lts-raring xserver-xorg-core-lts-raring
xserver-xorg-input-all-lts-raring xserver-xorg-input-evdev-lts-raring
xserver-xorg-input-mouse-lts-raring xserver-xorg-input-synaptics-lts-raring
xserver-xorg-input-vmmouse-lts-raring xserver-xorg-input-wacom-lts-raring
xserver-xorg-lts-raring xserver-xorg-video-all-lts-raring
xserver-xorg-video-ati-lts-raring xserver-xorg-video-cirrus-lts-raring
xserver-xorg-video-fbdev-lts-raring xserver-xorg-video-intel-lts-raring
xserver-xorg-video-mach64-lts-raring xserver-xorg-video-mga-lts-raring
xserver-xorg-video-modesetting-lts-raring
xserver-xorg-video-neomagic-lts-raring xserver-xorg-video-nouveau-lts-raring
xserver-xorg-video-openchrome-lts-raring xserver-xorg-video-r128-lts-raring
xserver-xorg-video-radeon-lts-raring xserver-xorg-video-s3-lts-raring
xserver-xorg-video-savage-lts-raring
xserver-xorg-video-siliconmotion-lts-raring
xserver-xorg-video-sis-lts-raring xserver-xorg-video-sisusb-lts-raring
xserver-xorg-video-tdfx-lts-raring xserver-xorg-video-trident-lts-raring
xserver-xorg-video-vesa-lts-raring xserver-xorg-video-vmware-lts-raring
Se instalarán los siguientes paquetes NUEVOS:
libgl1-mesa-glx libgl1-mesa-glx: i386 libglapi-mesa libglapi-mesa: i386
xserver-xorg xserver-xorg-core xserver-xorg-input-evdev
0 actualizado, 7 recién instalados, 41 para eliminar y 0 no actualizado.
Necesidad de conseguir 2.295 kB de archivos.
Después de esta operación, se liberarán 37.8 MB de espacio en disco.
¿Quieres continuar [S / n]?

Esto me asusta mucho porque dice que muchas cosas serán eliminadas. Experimenté esto antes y resultó en dejarme con CLI. ¿Debo ejecutarlo?

Solución aplicada que se encuentra en esta página web y gracias a wilf por encontrar una manera de solucionarla. **

Cómo aplicar la corrección:

  • Abre tu terminal ctrl + alt + T

Escriba o copie / pegue cada línea:

  • sudo apt-get purge nvidia*
  • sudo apt-get install --reinstall xserver-xorg-video-intel libgl1-mesa-glx libgl1-mesa-dri xserver-xorg-core
  • sudo dpkg-reconfigure xserver-xorg
  • sudo update-alternatives --remove gl_conf /usr/lib/nvidia-current/ld.so.conf

Después de esto volví a instalar mi software nVidia

  • sudo apt-add-repository ppa:xorg-edgers/ppa
  • sudo apt-get update
  • sudo apt-get install bumblebee-nvidia nvidia-319 nvidia-settings-319

Reiniciado y todo fue peachy otra vez.

Tenga en cuenta que ya tuve Bumblebee instalado de antemano.